DataConnectorControllerGetRelationalTabularStructures Method

GET /DataConnector/RelationalTabularStructures/{id} Gets the structures under a data connector for tabular providers.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpGetAttribute]
[ActionNameAttribute("RelationalTabularStructures")]
public HttpResponseMessage GetRelationalTabularStructures(
	Guid id,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data connector to get the structures for.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
An array of RelationalStructureData object containing the relational structures, or a status code indicating the problem.
See Also